オンライン中  

/v1/events/

Endpoints for real-world event entities (F1 races, conventions, big concerts, fashion weeks, etc.) ranked globally and surfaced in Market Data and via
GET

/v1/events/get_event

#
Return the editable event payload for the rich event card editor. Requires the caller to be the event originator or hold GlobalCommunityAdministration.

パラメーター

名前型必須既定値説明
eventSlug string はい — The event's URLSlug.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/events/get_event' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'eventSlug={{eventSlug}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$events_get_event_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.eventobject はい
$.oneOf[0].allOf[1].Payload.event.eventIDinteger はい
$.oneOf[0].allOf[1].Payload.event.namestring はい
$.oneOf[0].allOf[1].Payload.event.urlSlugstring はい
$.oneOf[0].allOf[1].Payload.event.iconEmojistring はい
$.oneOf[0].allOf[1].Payload.event.externalURLstring はい
$.oneOf[0].allOf[1].Payload.event.geographicobject はい
$.oneOf[0].allOf[1].Payload.event.geographic.lat はい
$.oneOf[0].allOf[1].Payload.event.geographic.lat.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.event.geographic.lat.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.geographic.lng はい
$.oneOf[0].allOf[1].Payload.event.geographic.lng.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.event.geographic.lng.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.geographic.effectRadiusInMeters はい
$.oneOf[0].allOf[1].Payload.event.geographic.effectRadiusInMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.geographic.effectRadiusInMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.geographic.eventATLocationID はい
$.oneOf[0].allOf[1].Payload.event.geographic.eventATLocationID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.geographic.eventATLocationID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.ownerPostID はい
$.oneOf[0].allOf[1].Payload.event.ownerPostID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.ownerPostID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.ownerPostName はい
$.oneOf[0].allOf[1].Payload.event.ownerPostName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.event.ownerPostName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.ownerPostURL はい
$.oneOf[0].allOf[1].Payload.event.ownerPostURL.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.event.ownerPostURL.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.originatorUserID はい
$.oneOf[0].allOf[1].Payload.event.originatorUserID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.originatorUserID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.earnedTraderPointsinteger はい
$.oneOf[0].allOf[1].Payload.event.descriptionstring はい
$.oneOf[0].allOf[1].Payload.event.effectRadiusInMeters はい
$.oneOf[0].allOf[1].Payload.event.effectRadiusInMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.effectRadiusInMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.categoryobject はい
$.oneOf[0].allOf[1].Payload.event.category.categoryIDinteger はい
$.oneOf[0].allOf[1].Payload.event.category.namestring はい
$.oneOf[0].allOf[1].Payload.event.category.iconEmojistring はい
$.oneOf[0].allOf[1].Payload.event.category.urlSlugstring はい
$.oneOf[0].allOf[1].Payload.event.importanceLevel はい
$.oneOf[0].allOf[1].Payload.event.importanceLevel.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.importanceLevel.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.defaultImportanceLevel はい
$.oneOf[0].allOf[1].Payload.event.defaultImportanceLevel.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.defaultImportanceLevel.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.affectsOpeningTimesboolean はい
$.oneOf[0].allOf[1].Payload.event.countryCodeIncludeListarray はい
$.oneOf[0].allOf[1].Payload.event.countryCodeIncludeList[]string いいえ
$.oneOf[0].allOf[1].Payload.event.countryCodeExcludeListarray はい
$.oneOf[0].allOf[1].Payload.event.countryCodeExcludeList[]string いいえ
$.oneOf[0].allOf[1].Payload.event.physicalLocationobject はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.modestring ["venue","point","none"] はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.locationID はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.locationID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.locationID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.namestring はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.aliasstring はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.addressStringstring はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.countryCodestring はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.lat はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.lat.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.lat.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.lng はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.lng.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.event.physicalLocation.lng.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.viewerobject はい
$.oneOf[0].allOf[1].Payload.event.viewer.canEditboolean はい
$.oneOf[0].allOf[1].Payload.event.canEditboolean はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/events/get_event",
    "RequestUserAlias": "example-user",
    "Payload": {
        "event": {
            "eventID": 0,
            "name": "synthetic-example",
            "urlSlug": "synthetic-example",
            "iconEmoji": "synthetic-example",
            "externalURL": "synthetic-example",
            "geographic": {
                "lat": 0,
                "lng": 0,
                "effectRadiusInMeters": 0,
                "eventATLocationID": 0
            },
            "ownerPostID": 0,
            "ownerPostName": "synthetic-example",
            "ownerPostURL": "synthetic-example",
            "originatorUserID": 0,
            "earnedTraderPoints": 0,
            "description": "synthetic-example",
            "effectRadiusInMeters": 0,
            "category": {
                "categoryID": 0,
                "name": "synthetic-example",
                "iconEmoji": "synthetic-example",
                "urlSlug": "synthetic-example"
            },
            "importanceLevel": 0,
            "defaultImportanceLevel": 0,
            "affectsOpeningTimes": false,
            "countryCodeIncludeList": [],
            "countryCodeExcludeList": [],
            "physicalLocation": {
                "mode": "venue",
                "locationID": 0,
                "name": "synthetic-example",
                "alias": "synthetic-example",
                "addressString": "synthetic-example",
                "countryCode": "synthetic-example",
                "lat": 0,
                "lng": 0
            },
            "viewer": {
                "canEdit": false
            },
            "canEdit": false
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/events/get_event_associated_venues

#
Returns venues associated with an event (i.e. venues that benefit from demand lift during the event's date window). Reads from the ATLocationEvents^ATLocation join table populated by set_event_venue_association.

パラメーター

名前型必須既定値説明
eventSlug string はい — The event's URLSlug.
pageSize int いいえ 20 Page size.
pageNumber int いいえ 0 Page number.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/events/get_event_associated_venues' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'eventSlug={{eventSlug}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'pageNumber={{pageNumber}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$events_get_event_associated_venues_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.eventIDinteger はい
$.oneOf[0].allOf[1].Payload.venuesarray はい
$.oneOf[0].allOf[1].Payload.venues[]object いいえ
$.oneOf[0].allOf[1].Payload.venues[].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.venues[].aliasstring はい
$.oneOf[0].allOf[1].Payload.venues[].namestring はい
$.oneOf[0].allOf[1].Payload.totalResultsinteger はい
$.oneOf[0].allOf[1].Payload.pageSizeinteger はい
$.oneOf[0].allOf[1].Payload.pageNumberinteger はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/events/get_event_associated_venues",
    "RequestUserAlias": "example-user",
    "Payload": {
        "eventID": 0,
        "venues": [],
        "totalResults": 0,
        "pageSize": 0,
        "pageNumber": 0
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/events/get_event_candidates

#
Search existing public-facing real-world events for composer attachment. Public-by-design: read-only public event picker candidate search for composer attachment.

パラメーター

名前型必須既定値説明
searchText string いいえ "" Optional event/category search text. Leave blank to list existing public events for duplicate prevention.
categoryID int いいえ 0 Optional ATLocationEventsCategories.ID filter.
citySlug string いいえ "" Optional city slug used to prefer city-relevant events.
pageSize int いいえ 8 Number of events to return (1-50).
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/events/get_event_candidates' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'searchText={{searchText}}' \
  --data-urlencode 'categoryID={{categoryID}}' \
  --data-urlencode 'citySlug={{citySlug}}' \
  --data-urlencode 'pageSize={{pageSize}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$events_get_event_candidates_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.eventsarray はい
$.oneOf[0].allOf[1].Payload.events[]object いいえ
$.oneOf[0].allOf[1].Payload.events[].eventIDinteger はい
$.oneOf[0].allOf[1].Payload.events[].namestring はい
$.oneOf[0].allOf[1].Payload.events[].urlSlugstring はい
$.oneOf[0].allOf[1].Payload.events[].iconEmojistring はい
$.oneOf[0].allOf[1].Payload.events[].externalURLstring はい
$.oneOf[0].allOf[1].Payload.events[].geographicobject はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lat はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lat.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lat.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lng はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lng.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lng.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographic.effectRadiusInMeters はい
$.oneOf[0].allOf[1].Payload.events[].geographic.effectRadiusInMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].geographic.effectRadiusInMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographic.eventATLocationID はい
$.oneOf[0].allOf[1].Payload.events[].geographic.eventATLocationID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].geographic.eventATLocationID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostID はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostName はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostURL はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostURL.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostURL.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].originatorUserID はい
$.oneOf[0].allOf[1].Payload.events[].originatorUserID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].originatorUserID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].earnedTraderPointsinteger はい
$.oneOf[0].allOf[1].Payload.events[].descriptionstring はい
$.oneOf[0].allOf[1].Payload.events[].effectRadiusInMeters はい
$.oneOf[0].allOf[1].Payload.events[].effectRadiusInMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].effectRadiusInMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].categoryobject はい
$.oneOf[0].allOf[1].Payload.events[].category.categoryIDinteger はい
$.oneOf[0].allOf[1].Payload.events[].category.namestring はい
$.oneOf[0].allOf[1].Payload.events[].category.iconEmojistring はい
$.oneOf[0].allOf[1].Payload.events[].category.urlSlugstring はい
$.oneOf[0].allOf[1].Payload.events[].importanceLevel はい
$.oneOf[0].allOf[1].Payload.events[].importanceLevel.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].importanceLevel.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].defaultImportanceLevel はい
$.oneOf[0].allOf[1].Payload.events[].defaultImportanceLevel.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].defaultImportanceLevel.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].affectsOpeningTimesboolean はい
$.oneOf[0].allOf[1].Payload.events[].countryCodeIncludeListarray はい
$.oneOf[0].allOf[1].Payload.events[].countryCodeIncludeList[]string いいえ
$.oneOf[0].allOf[1].Payload.events[].countryCodeExcludeListarray はい
$.oneOf[0].allOf[1].Payload.events[].countryCodeExcludeList[]string いいえ
$.oneOf[0].allOf[1].Payload.events[].physicalLocationobject はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.modestring ["venue","point","none"] はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.locationID はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.locationID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.locationID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.namestring はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.aliasstring はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.addressStringstring はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.countryCodestring はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.lat はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.lat.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.lat.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.lng はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.lng.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.events[].physicalLocation.lng.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].viewerobject はい
$.oneOf[0].allOf[1].Payload.events[].viewer.canEditboolean はい
$.oneOf[0].allOf[1].Payload.events[].canEditboolean はい
$.oneOf[0].allOf[1].Payload.events[].dateWindowobject はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.eventTimeID はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.eventTimeID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.eventTimeID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.eventID はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.eventID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.eventID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.startHour はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.startHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.startHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.endHour はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.endHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.endHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.locationCategoryID はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.locationCategoryID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.locationCategoryID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.importanceLevel はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.importanceLevel.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.importanceLevel.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.daysUntil はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.daysUntil.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.daysUntil.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.repeatOnWeekday はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.repeatOnWeekday.anyOf[0]string ["Monday","Tuesday","Wednesday","Thursday","Friday","Saturday","Sunday"] はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.repeatOnWeekday.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.startTime はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.startTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.startTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.endTime はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.endTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.endTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.startDate はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.startDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.startDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.endDate はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.endDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.endDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.hasIndividualStartTimeboolean はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.isUpcomingboolean はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.isPastboolean はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.dateLabelstring はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.timeLabelstring はい
$.oneOf[0].allOf[1].Payload.events[].dateWindow.displayLabelstring はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrenceobject はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.eventTimeID はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.eventTimeID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.eventTimeID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.eventID はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.eventID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.eventID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.startHour はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.startHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.startHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.endHour はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.endHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.endHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.locationCategoryID はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.locationCategoryID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.locationCategoryID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.importanceLevel はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.importanceLevel.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.importanceLevel.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.daysUntil はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.daysUntil.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.daysUntil.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.repeatOnWeekday はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.repeatOnWeekday.anyOf[0]string ["Monday","Tuesday","Wednesday","Thursday","Friday","Saturday","Sunday"] はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.repeatOnWeekday.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.startTime はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.startTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.startTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.endTime はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.endTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.endTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.startDate はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.startDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.startDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.endDate はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.endDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.endDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.hasIndividualStartTimeboolean はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.isUpcomingboolean はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.isPastboolean はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.dateLabelstring はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.timeLabelstring はい
$.oneOf[0].allOf[1].Payload.events[].nearestOccurrence.displayLabelstring はい
$.oneOf[0].allOf[1].Payload.events[].matchReason はい
$.oneOf[0].allOf[1].Payload.events[].matchReason.anyOf[0]string ["radius","pinned-venue","associated-venue"] はい
$.oneOf[0].allOf[1].Payload.events[].matchReason.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].distanceMeters はい
$.oneOf[0].allOf[1].Payload.events[].distanceMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].distanceMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.totalResultsinteger はい
$.oneOf[0].allOf[1].Payload.searchTextstring はい
$.oneOf[0].allOf[1].Payload.categoryIDinteger はい
$.oneOf[0].allOf[1].Payload.citySlugstring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/events/get_event_candidates",
    "RequestUserAlias": "example-user",
    "Payload": {
        "events": [],
        "totalResults": 0,
        "searchText": "synthetic-example",
        "categoryID": 0,
        "citySlug": "synthetic-example"
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/events/get_event_categories

#
Search existing event categories for the v2 composer event picker. Public-by-design: read-only public event picker category list for composer attachment.

パラメーター

名前型必須既定値説明
searchText string いいえ "" Optional category search text.
pageSize int いいえ 20 Number of categories to return (1-100).
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/events/get_event_categories' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'searchText={{searchText}}' \
  --data-urlencode 'pageSize={{pageSize}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$events_get_event_categories_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.categoriesarray はい
$.oneOf[0].allOf[1].Payload.categories[]object いいえ
$.oneOf[0].allOf[1].Payload.categories[].categoryIDinteger はい
$.oneOf[0].allOf[1].Payload.categories[].namestring はい
$.oneOf[0].allOf[1].Payload.categories[].iconEmojistring はい
$.oneOf[0].allOf[1].Payload.categories[].urlSlugstring はい
$.oneOf[0].allOf[1].Payload.categories[].parentCategoryID はい
$.oneOf[0].allOf[1].Payload.categories[].parentCategoryID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.categories[].parentCategoryID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.totalResultsinteger はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/events/get_event_categories",
    "RequestUserAlias": "example-user",
    "Payload": {
        "categories": [],
        "totalResults": 0
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/events/get_event_location_options

#
Search physical-location choices for the rich event card map picker. Requires the caller to be the event originator or hold GlobalCommunityAdministration.

パラメーター

名前型必須既定値説明
eventSlug string はい — The event's URLSlug.
searchText string いいえ "" Venue/address search text.
pageSize int いいえ 8 Maximum options per source (1-12).
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/events/get_event_location_options' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'eventSlug={{eventSlug}}' \
  --data-urlencode 'searchText={{searchText}}' \
  --data-urlencode 'pageSize={{pageSize}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$events_get_event_location_options_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.optionsarray はい
$.oneOf[0].allOf[1].Payload.options[]EventLocationOption いいえ
$.oneOf[0].allOf[1].Payload.options[].oneOf[0]object いいえ
$.oneOf[0].allOf[1].Payload.options[].oneOf[0].kind = "atLocation" はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[0].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[0].namestring はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[0].aliasstring はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[0].subtitlestring はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[0].addressStringstring はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[0].countryCodestring はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[0].latnumber はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[0].lngnumber はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[1]object いいえ
$.oneOf[0].allOf[1].Payload.options[].oneOf[1].kind = "googlePlace" はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[1].googlePlacesIDstring はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[1].namestring はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[1].subtitlestring はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[1].addressStringstring はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[1].typesarray はい
$.oneOf[0].allOf[1].Payload.options[].oneOf[1].types[]string いいえ
$.oneOf[0].allOf[1].Payload.totalResultsinteger はい
$.oneOf[0].allOf[1].Payload.searchTextstring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/events/get_event_location_options",
    "RequestUserAlias": "example-user",
    "Payload": {
        "options": [],
        "totalResults": 0,
        "searchText": "synthetic-example"
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/events/get_event_occurrences

#
Return detailed occurrence rows for a selected public event. Public-by-design: read-only public event picker occurrence list for composer attachment.

パラメーター

名前型必須既定値説明
eventID int はい — ATLocationEvents.ID.
pageSize int いいえ 12 Number of event-time rows to return (1-100).
dateFilter string いいえ "all" One of all|upcoming|past.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/events/get_event_occurrences' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'eventID={{eventID}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'dateFilter={{dateFilter}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$events_get_event_occurrences_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.eventIDinteger はい
$.oneOf[0].allOf[1].Payload.dateFilterstring ["all","upcoming","past"] はい
$.oneOf[0].allOf[1].Payload.occurrencesarray はい
$.oneOf[0].allOf[1].Payload.occurrences[]object いいえ
$.oneOf[0].allOf[1].Payload.occurrences[].eventTimeID はい
$.oneOf[0].allOf[1].Payload.occurrences[].eventTimeID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.occurrences[].eventTimeID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.occurrences[].eventID はい
$.oneOf[0].allOf[1].Payload.occurrences[].eventID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.occurrences[].eventID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.occurrences[].startHour はい
$.oneOf[0].allOf[1].Payload.occurrences[].startHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.occurrences[].startHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.occurrences[].endHour はい
$.oneOf[0].allOf[1].Payload.occurrences[].endHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.occurrences[].endHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.occurrences[].locationCategoryID はい
$.oneOf[0].allOf[1].Payload.occurrences[].locationCategoryID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.occurrences[].locationCategoryID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.occurrences[].importanceLevel はい
$.oneOf[0].allOf[1].Payload.occurrences[].importanceLevel.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.occurrences[].importanceLevel.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.occurrences[].daysUntil はい
$.oneOf[0].allOf[1].Payload.occurrences[].daysUntil.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.occurrences[].daysUntil.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.occurrences[].repeatOnWeekday はい
$.oneOf[0].allOf[1].Payload.occurrences[].repeatOnWeekday.anyOf[0]string ["Monday","Tuesday","Wednesday","Thursday","Friday","Saturday","Sunday"] はい
$.oneOf[0].allOf[1].Payload.occurrences[].repeatOnWeekday.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.occurrences[].startTime はい
$.oneOf[0].allOf[1].Payload.occurrences[].startTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.occurrences[].startTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.occurrences[].endTime はい
$.oneOf[0].allOf[1].Payload.occurrences[].endTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.occurrences[].endTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.occurrences[].startDate はい
$.oneOf[0].allOf[1].Payload.occurrences[].startDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.occurrences[].startDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.occurrences[].endDate はい
$.oneOf[0].allOf[1].Payload.occurrences[].endDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.occurrences[].endDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.occurrences[].hasIndividualStartTimeboolean はい
$.oneOf[0].allOf[1].Payload.occurrences[].isUpcomingboolean はい
$.oneOf[0].allOf[1].Payload.occurrences[].isPastboolean はい
$.oneOf[0].allOf[1].Payload.occurrences[].dateLabelstring はい
$.oneOf[0].allOf[1].Payload.occurrences[].timeLabelstring はい
$.oneOf[0].allOf[1].Payload.occurrences[].displayLabelstring はい
$.oneOf[0].allOf[1].Payload.totalResultsinteger はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/events/get_event_occurrences",
    "RequestUserAlias": "example-user",
    "Payload": {
        "eventID": 0,
        "dateFilter": "all",
        "occurrences": [],
        "totalResults": 0
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/events/get_event_place_details

#
Resolve a Google place/address suggestion for the rich event card map picker. Requires the caller to be the event originator or hold GlobalCommunityAdministration.

パラメーター

名前型必須既定値説明
eventSlug string はい — The event's URLSlug.
googlePlacesID string はい — Google Places place_id selected from get_event_location_options.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/events/get_event_place_details' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'eventSlug={{eventSlug}}' \
  --data-urlencode 'googlePlacesID={{googlePlacesID}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$events_get_event_place_details_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.placeobject はい
$.oneOf[0].allOf[1].Payload.place.kind = "googlePlace" はい
$.oneOf[0].allOf[1].Payload.place.googlePlacesIDstring はい
$.oneOf[0].allOf[1].Payload.place.namestring はい
$.oneOf[0].allOf[1].Payload.place.addressStringstring はい
$.oneOf[0].allOf[1].Payload.place.countryCodestring はい
$.oneOf[0].allOf[1].Payload.place.latnumber はい
$.oneOf[0].allOf[1].Payload.place.lngnumber はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/events/get_event_place_details",
    "RequestUserAlias": "example-user",
    "Payload": {
        "place": {
            "kind": "googlePlace",
            "googlePlacesID": "synthetic-example",
            "name": "synthetic-example",
            "addressString": "synthetic-example",
            "countryCode": "synthetic-example",
            "lat": 0,
            "lng": 0
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/events/get_event_summary

#
Returns a single event resolved by URL slug. Includes the owning post URL so callers can route the user into the existing forum viewer for the full event view (per the events feature design — there is no dedicated event detail page; the forum viewer is the event viewer).

パラメーター

名前型必須既定値説明
eventSlug string はい — The event's URLSlug.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/events/get_event_summary' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'eventSlug={{eventSlug}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$events_get_event_summary_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.eventobject はい
$.oneOf[0].allOf[1].Payload.event.eventIDinteger はい
$.oneOf[0].allOf[1].Payload.event.namestring はい
$.oneOf[0].allOf[1].Payload.event.urlSlugstring はい
$.oneOf[0].allOf[1].Payload.event.iconEmojistring はい
$.oneOf[0].allOf[1].Payload.event.externalURLstring はい
$.oneOf[0].allOf[1].Payload.event.categoryobject はい
$.oneOf[0].allOf[1].Payload.event.category.namestring はい
$.oneOf[0].allOf[1].Payload.event.category.iconEmojistring はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrenceobject はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.startDate はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.startDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.startDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.endDate はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.endDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.endDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.startTime はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.startTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.startTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.endTime はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.endTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.endTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.daysUntil はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.daysUntil.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.nextOccurrence.daysUntil.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.geographicobject はい
$.oneOf[0].allOf[1].Payload.event.geographic.lat はい
$.oneOf[0].allOf[1].Payload.event.geographic.lat.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.event.geographic.lat.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.geographic.lng はい
$.oneOf[0].allOf[1].Payload.event.geographic.lng.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.event.geographic.lng.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.geographic.effectRadiusInMeters はい
$.oneOf[0].allOf[1].Payload.event.geographic.effectRadiusInMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.geographic.effectRadiusInMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.geographic.eventATLocationID はい
$.oneOf[0].allOf[1].Payload.event.geographic.eventATLocationID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.geographic.eventATLocationID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.ownerPostID はい
$.oneOf[0].allOf[1].Payload.event.ownerPostID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.ownerPostID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.ownerPostName はい
$.oneOf[0].allOf[1].Payload.event.ownerPostName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.event.ownerPostName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.ownerPostURL はい
$.oneOf[0].allOf[1].Payload.event.ownerPostURL.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.event.ownerPostURL.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.originatorUserID はい
$.oneOf[0].allOf[1].Payload.event.originatorUserID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.originatorUserID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.backgroundMedia はい
$.oneOf[0].allOf[1].Payload.event.backgroundMedia.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.event.backgroundMedia.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.event.backgroundMedia.anyOf[0].thumbUrlstring はい
$.oneOf[0].allOf[1].Payload.event.backgroundMedia.anyOf[0].mediaUrlstring はい
$.oneOf[0].allOf[1].Payload.event.backgroundMedia.anyOf[0].mediaTypestring はい
$.oneOf[0].allOf[1].Payload.event.backgroundMedia.anyOf[0].widthinteger はい
$.oneOf[0].allOf[1].Payload.event.backgroundMedia.anyOf[0].heightinteger はい
$.oneOf[0].allOf[1].Payload.event.backgroundMedia.anyOf[0].titlestring はい
$.oneOf[0].allOf[1].Payload.event.backgroundMedia.anyOf[0].isImageboolean はい
$.oneOf[0].allOf[1].Payload.event.backgroundMedia.anyOf[0].isEmbeddedboolean はい
$.oneOf[0].allOf[1].Payload.event.backgroundMedia.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.postedBy はい
$.oneOf[0].allOf[1].Payload.event.postedBy.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.event.postedBy.anyOf[0].userIDinteger はい
$.oneOf[0].allOf[1].Payload.event.postedBy.anyOf[0].aliasstring はい
$.oneOf[0].allOf[1].Payload.event.postedBy.anyOf[0].avatarstring はい
$.oneOf[0].allOf[1].Payload.event.postedBy.anyOf[0].profileURLstring はい
$.oneOf[0].allOf[1].Payload.event.postedBy.anyOf[0].viewerCanFollowboolean はい
$.oneOf[0].allOf[1].Payload.event.postedBy.anyOf[0].viewerIsFollowingboolean はい
$.oneOf[0].allOf[1].Payload.event.postedBy.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.earnedTraderPointsinteger はい
$.oneOf[0].allOf[1].Payload.event.descriptionstring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/events/get_event_summary",
    "RequestUserAlias": "example-user",
    "Payload": {
        "event": {
            "eventID": 0,
            "name": "synthetic-example",
            "urlSlug": "synthetic-example",
            "iconEmoji": "synthetic-example",
            "externalURL": "synthetic-example",
            "category": {
                "name": "synthetic-example",
                "iconEmoji": "synthetic-example"
            },
            "nextOccurrence": {
                "startDate": "synthetic-example",
                "endDate": "synthetic-example",
                "startTime": "synthetic-example",
                "endTime": "synthetic-example",
                "daysUntil": 0
            },
            "geographic": {
                "lat": 0,
                "lng": 0,
                "effectRadiusInMeters": 0,
                "eventATLocationID": 0
            },
            "ownerPostID": 0,
            "ownerPostName": "synthetic-example",
            "ownerPostURL": "synthetic-example",
            "originatorUserID": 0,
            "backgroundMedia": {
                "id": 0,
                "thumbUrl": "synthetic-example",
                "mediaUrl": "synthetic-example",
                "mediaType": "synthetic-example",
                "width": 0,
                "height": 0,
                "title": "synthetic-example",
                "isImage": false,
                "isEmbedded": false
            },
            "postedBy": {
                "userID": 0,
                "alias": "synthetic-example",
                "avatar": "synthetic-example",
                "profileURL": "synthetic-example",
                "viewerCanFollow": false,
                "viewerIsFollowing": false
            },
            "earnedTraderPoints": 0,
            "description": "synthetic-example"
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/events/get_events_in_city

#
Returns real-world events whose effect radius covers a given city, OR whose pinned venue (Event-ATLocation_ID) is in that city, OR whose associated venues (ATLocationEvents^ATLocation) include any venue in that city. "In range" is computed as ST_Distance_Sphere(EventLocation, cityCenter)

パラメーター

名前型必須既定値説明
citySlug string はい — ATAirport.MunicipalitySlug.
pageSize int いいえ 10 Number of events (1-50).
categorySlug string いいえ "" Optional category slug.
dateRange string いいえ "90d" Forward window including ongoing events.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/events/get_events_in_city' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'citySlug={{citySlug}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'categorySlug={{categorySlug}}' \
  --data-urlencode 'dateRange={{dateRange}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$events_get_events_in_city_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.eventsarray はい
$.oneOf[0].allOf[1].Payload.events[]object いいえ
$.oneOf[0].allOf[1].Payload.events[].eventIDinteger はい
$.oneOf[0].allOf[1].Payload.events[].namestring はい
$.oneOf[0].allOf[1].Payload.events[].urlSlugstring はい
$.oneOf[0].allOf[1].Payload.events[].iconEmojistring はい
$.oneOf[0].allOf[1].Payload.events[].externalURLstring はい
$.oneOf[0].allOf[1].Payload.events[].categoryobject はい
$.oneOf[0].allOf[1].Payload.events[].category.namestring はい
$.oneOf[0].allOf[1].Payload.events[].category.iconEmojistring はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrenceobject はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startDate はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endDate はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startTime はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endTime はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.daysUntil はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.daysUntil.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.daysUntil.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographicobject はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lat はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lat.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lat.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lng はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lng.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lng.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographic.effectRadiusInMeters はい
$.oneOf[0].allOf[1].Payload.events[].geographic.effectRadiusInMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].geographic.effectRadiusInMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographic.eventATLocationID はい
$.oneOf[0].allOf[1].Payload.events[].geographic.eventATLocationID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].geographic.eventATLocationID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostID はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostName はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostURL はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostURL.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostURL.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].originatorUserID はい
$.oneOf[0].allOf[1].Payload.events[].originatorUserID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].originatorUserID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].thumbUrlstring はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].mediaUrlstring はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].mediaTypestring はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].widthinteger はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].heightinteger はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].titlestring はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].isImageboolean はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].isEmbeddedboolean はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].postedBy はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].userIDinteger はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].aliasstring はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].avatarstring はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].profileURLstring はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].viewerCanFollowboolean はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].viewerIsFollowingboolean はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].earnedTraderPointsinteger はい
$.oneOf[0].allOf[1].Payload.events[].rankinteger はい
$.oneOf[0].allOf[1].Payload.events[].matchReason はい
$.oneOf[0].allOf[1].Payload.events[].matchReason.anyOf[0]string ["radius","pinned-venue","associated-venue"] はい
$.oneOf[0].allOf[1].Payload.events[].matchReason.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].distanceFromCityKm はい
$.oneOf[0].allOf[1].Payload.events[].distanceFromCityKm.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.events[].distanceFromCityKm.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.totalResultsinteger はい
$.oneOf[0].allOf[1].Payload.cityNamestring はい
$.oneOf[0].allOf[1].Payload.citySlugstring はい
$.oneOf[0].allOf[1].Payload.categorySlugstring はい
$.oneOf[0].allOf[1].Payload.cityLatnumber はい
$.oneOf[0].allOf[1].Payload.cityLngnumber はい
$.oneOf[0].allOf[1].Payload.dateRangestring ["7d","30d","90d","180d","365d"] はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/events/get_events_in_city",
    "RequestUserAlias": "example-user",
    "Payload": {
        "events": [],
        "totalResults": 0,
        "cityName": "synthetic-example",
        "citySlug": "synthetic-example",
        "categorySlug": "synthetic-example",
        "cityLat": 0,
        "cityLng": 0,
        "dateRange": "7d"
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/events/get_events_near

#
Returns the top real-world events near a given lat/long, ranked by geographic proximity then by next upcoming occurrence. Distance is computed against EventLocation (POINT) using ST_Distance_Sphere. Events pinned to a venue (Event-ATLocation_ID set, EventLocation null) fall back to the venue's coordinates via a sub-join.

パラメーター

名前型必須既定値説明
lat float はい — Latitude in decimal degrees.
long float はい — Longitude in decimal degrees.
pageSize int いいえ 4 Number of events to return (1-50).
categorySlug string いいえ "" Optional category slug.
dateRange string いいえ "90d" Forward window for next-occurrence date.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/events/get_events_near' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'lat={{lat}}' \
  --data-urlencode 'long={{long}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'categorySlug={{categorySlug}}' \
  --data-urlencode 'dateRange={{dateRange}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$events_get_events_near_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.eventsarray はい
$.oneOf[0].allOf[1].Payload.events[]object いいえ
$.oneOf[0].allOf[1].Payload.events[].eventIDinteger はい
$.oneOf[0].allOf[1].Payload.events[].namestring はい
$.oneOf[0].allOf[1].Payload.events[].urlSlugstring はい
$.oneOf[0].allOf[1].Payload.events[].iconEmojistring はい
$.oneOf[0].allOf[1].Payload.events[].externalURLstring はい
$.oneOf[0].allOf[1].Payload.events[].categoryobject はい
$.oneOf[0].allOf[1].Payload.events[].category.namestring はい
$.oneOf[0].allOf[1].Payload.events[].category.iconEmojistring はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrenceobject はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startDate はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endDate はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startTime はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endTime はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.daysUntil はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.daysUntil.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.daysUntil.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographicobject はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lat はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lat.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lat.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lng はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lng.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lng.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographic.effectRadiusInMeters はい
$.oneOf[0].allOf[1].Payload.events[].geographic.effectRadiusInMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].geographic.effectRadiusInMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographic.eventATLocationID はい
$.oneOf[0].allOf[1].Payload.events[].geographic.eventATLocationID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].geographic.eventATLocationID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostID はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostName はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostURL はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostURL.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostURL.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].originatorUserID はい
$.oneOf[0].allOf[1].Payload.events[].originatorUserID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].originatorUserID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].thumbUrlstring はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].mediaUrlstring はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].mediaTypestring はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].widthinteger はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].heightinteger はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].titlestring はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].isImageboolean はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].isEmbeddedboolean はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].postedBy はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].userIDinteger はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].aliasstring はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].avatarstring はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].profileURLstring はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].viewerCanFollowboolean はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].viewerIsFollowingboolean はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].earnedTraderPointsinteger はい
$.oneOf[0].allOf[1].Payload.events[].rankinteger はい
$.oneOf[0].allOf[1].Payload.events[].distanceMeters はい
$.oneOf[0].allOf[1].Payload.events[].distanceMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].distanceMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.latnumber はい
$.oneOf[0].allOf[1].Payload.lngnumber はい
$.oneOf[0].allOf[1].Payload.dateRangestring ["7d","30d","90d","180d","365d"] はい
$.oneOf[0].allOf[1].Payload.categorySlugstring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/events/get_events_near",
    "RequestUserAlias": "example-user",
    "Payload": {
        "events": [],
        "lat": 0,
        "lng": 0,
        "dateRange": "7d",
        "categorySlug": "synthetic-example"
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/events/get_top_events

#
Returns the top real-world events globally, including ongoing occurrences. Filters to events with EventLocation set or Event-ATLocation_ID set so recurring weekday demand patterns and national holidays are excluded. Public-by-design: ongoing and upcoming events are public discovery content.

パラメーター

名前型必須既定値説明
pageSize int いいえ 20 Number of events to return (1-100).
categorySlug string いいえ "" Optional category slug — matches the named category and any descendants in the parent hierarchy. Empty = all categories.
dateRange string いいえ "90d" Forward window including ongoing events: 7d, 30d, 90d, 180d, 365d.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/events/get_top_events' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'categorySlug={{categorySlug}}' \
  --data-urlencode 'dateRange={{dateRange}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$events_get_top_events_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.eventsarray はい
$.oneOf[0].allOf[1].Payload.events[]object いいえ
$.oneOf[0].allOf[1].Payload.events[].eventIDinteger はい
$.oneOf[0].allOf[1].Payload.events[].namestring はい
$.oneOf[0].allOf[1].Payload.events[].urlSlugstring はい
$.oneOf[0].allOf[1].Payload.events[].iconEmojistring はい
$.oneOf[0].allOf[1].Payload.events[].externalURLstring はい
$.oneOf[0].allOf[1].Payload.events[].categoryobject はい
$.oneOf[0].allOf[1].Payload.events[].category.namestring はい
$.oneOf[0].allOf[1].Payload.events[].category.iconEmojistring はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrenceobject はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startDate はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endDate はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startTime はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.startTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endTime はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.endTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.daysUntil はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.daysUntil.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].nextOccurrence.daysUntil.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographicobject はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lat はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lat.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lat.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lng はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lng.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.events[].geographic.lng.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographic.effectRadiusInMeters はい
$.oneOf[0].allOf[1].Payload.events[].geographic.effectRadiusInMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].geographic.effectRadiusInMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].geographic.eventATLocationID はい
$.oneOf[0].allOf[1].Payload.events[].geographic.eventATLocationID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].geographic.eventATLocationID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostID はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostName はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostURL はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostURL.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].ownerPostURL.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].originatorUserID はい
$.oneOf[0].allOf[1].Payload.events[].originatorUserID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].originatorUserID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].thumbUrlstring はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].mediaUrlstring はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].mediaTypestring はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].widthinteger はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].heightinteger はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].titlestring はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].isImageboolean はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[0].isEmbeddedboolean はい
$.oneOf[0].allOf[1].Payload.events[].backgroundMedia.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].postedBy はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].userIDinteger はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].aliasstring はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].avatarstring はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].profileURLstring はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].viewerCanFollowboolean はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[0].viewerIsFollowingboolean はい
$.oneOf[0].allOf[1].Payload.events[].postedBy.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].earnedTraderPointsinteger はい
$.oneOf[0].allOf[1].Payload.events[].rankinteger はい
$.oneOf[0].allOf[1].Payload.totalResultsinteger はい
$.oneOf[0].allOf[1].Payload.dateRangestring ["7d","30d","90d","180d","365d"] はい
$.oneOf[0].allOf[1].Payload.categorySlugstring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/events/get_top_events",
    "RequestUserAlias": "example-user",
    "Payload": {
        "events": [],
        "totalResults": 0,
        "dateRange": "7d",
        "categorySlug": "synthetic-example"
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/events/set_create_event

#
Create a real-world event from the v2 composer event picker. Requires CreateEvent. The permission defaults to true so staff can disable it only for users who abuse event creation.

パラメーター

名前型必須既定値説明
eventName string はい — Event label to create.
categoryID int いいえ 0 ATLocationEventsCategories.ID selected in the event card.
categoryName string いいえ "" Optional category name fallback for duplicate validation.
isWritingRequest bool いいえ false Set true after validating duplicate behavior to actually create the event.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/events/set_create_event' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'eventName={{eventName}}' \
  --data-urlencode 'categoryID={{categoryID}}' \
  --data-urlencode 'categoryName={{categoryName}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$events_set_create_event_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payload はい
$.oneOf[0].allOf[1].Payload.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.anyOf[0].eventobject はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.eventIDinteger はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.namestring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.urlSlugstring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.iconEmojistring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.externalURLstring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.geographicobject はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.geographic.lat はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.geographic.lat.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.geographic.lat.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.geographic.lng はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.geographic.lng.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.geographic.lng.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.geographic.effectRadiusInMeters はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.geographic.effectRadiusInMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.geographic.effectRadiusInMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.geographic.eventATLocationID はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.geographic.eventATLocationID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.geographic.eventATLocationID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.ownerPostID はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.ownerPostID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.ownerPostID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.ownerPostName はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.ownerPostName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.ownerPostName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.ownerPostURL はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.ownerPostURL.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.ownerPostURL.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.originatorUserID はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.originatorUserID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.originatorUserID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.earnedTraderPointsinteger はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.descriptionstring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.effectRadiusInMeters はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.effectRadiusInMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.effectRadiusInMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.categoryobject はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.category.categoryIDinteger はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.category.namestring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.category.iconEmojistring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.category.urlSlugstring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.importanceLevel はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.importanceLevel.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.importanceLevel.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.defaultImportanceLevel はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.defaultImportanceLevel.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.defaultImportanceLevel.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.affectsOpeningTimesboolean はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.countryCodeIncludeListarray はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.countryCodeIncludeList[]string いいえ
$.oneOf[0].allOf[1].Payload.anyOf[0].event.countryCodeExcludeListarray はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.countryCodeExcludeList[]string いいえ
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocationobject はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.modestring ["venue","point","none"] はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.locationID はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.locationID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.locationID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.namestring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.aliasstring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.addressStringstring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.countryCodestring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.lat はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.lat.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.lat.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.lng はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.lng.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.physicalLocation.lng.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.viewerobject はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.viewer.canEditboolean はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.canEditboolean はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindowobject はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.eventTimeID はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.eventTimeID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.eventTimeID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.eventID はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.eventID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.eventID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.startHour はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.startHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.startHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.endHour はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.endHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.endHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.locationCategoryID はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.locationCategoryID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.locationCategoryID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.importanceLevel はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.importanceLevel.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.importanceLevel.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.daysUntil はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.daysUntil.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.daysUntil.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.repeatOnWeekday はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.repeatOnWeekday.anyOf[0]string ["Monday","Tuesday","Wednesday","Thursday","Friday","Saturday","Sunday"] はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.repeatOnWeekday.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.startTime はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.startTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.startTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.endTime はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.endTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.endTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.startDate はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.startDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.startDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.endDate はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.endDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.endDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.hasIndividualStartTimeboolean はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.isUpcomingboolean はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.isPastboolean はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.dateLabelstring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.timeLabelstring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.dateWindow.displayLabelstring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrenceobject はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.eventTimeID はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.eventTimeID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.eventTimeID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.eventID はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.eventID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.eventID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.startHour はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.startHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.startHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.endHour はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.endHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.endHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.locationCategoryID はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.locationCategoryID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.locationCategoryID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.importanceLevel はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.importanceLevel.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.importanceLevel.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.daysUntil はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.daysUntil.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.daysUntil.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.repeatOnWeekday はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.repeatOnWeekday.anyOf[0]string ["Monday","Tuesday","Wednesday","Thursday","Friday","Saturday","Sunday"] はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.repeatOnWeekday.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.startTime はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.startTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.startTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.endTime はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.endTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.endTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.startDate はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.startDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.startDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.endDate はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.endDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.endDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.hasIndividualStartTimeboolean はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.isUpcomingboolean はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.isPastboolean はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.dateLabelstring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.timeLabelstring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.nearestOccurrence.displayLabelstring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.matchReason はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.matchReason.anyOf[0]string ["radius","pinned-venue","associated-venue"] はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.matchReason.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.distanceMeters はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.distanceMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].event.distanceMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].eventID はい
$.oneOf[0].allOf[1].Payload.anyOf[0].eventID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[0].eventID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[0].createdboolean はい
$.oneOf[0].allOf[1].Payload.anyOf[1]object はい
$.oneOf[0].allOf[1].Payload.anyOf[1].eventobject はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.eventID = null はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.namestring はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.urlSlugstring はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.iconEmojistring はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.externalURLstring はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.categoryobject はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.category.categoryIDinteger はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.category.namestring はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.category.iconEmojistring はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.category.urlSlugstring はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.category.parentCategoryID はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.category.parentCategoryID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.category.parentCategoryID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.dateWindow = null はい
$.oneOf[0].allOf[1].Payload.anyOf[1].event.nearestOccurrence = null はい
$.oneOf[0].allOf[1].Payload.anyOf[1].created = false はい
$.oneOf[0].allOf[1].Payload.anyOf[1].wouldCreate = true はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/events/set_create_event",
    "RequestUserAlias": "example-user",
    "Payload": {
        "event": {
            "eventID": 0,
            "name": "synthetic-example",
            "urlSlug": "synthetic-example",
            "iconEmoji": "synthetic-example",
            "externalURL": "synthetic-example",
            "geographic": {
                "lat": 0,
                "lng": 0,
                "effectRadiusInMeters": 0,
                "eventATLocationID": 0
            },
            "ownerPostID": 0,
            "ownerPostName": "synthetic-example",
            "ownerPostURL": "synthetic-example",
            "originatorUserID": 0,
            "earnedTraderPoints": 0,
            "description": "synthetic-example",
            "effectRadiusInMeters": 0,
            "category": {
                "categoryID": 0,
                "name": "synthetic-example",
                "iconEmoji": "synthetic-example",
                "urlSlug": "synthetic-example"
            },
            "importanceLevel": 0,
            "defaultImportanceLevel": 0,
            "affectsOpeningTimes": false,
            "countryCodeIncludeList": [],
            "countryCodeExcludeList": [],
            "physicalLocation": {
                "mode": "venue",
                "locationID": 0,
                "name": "synthetic-example",
                "alias": "synthetic-example",
                "addressString": "synthetic-example",
                "countryCode": "synthetic-example",
                "lat": 0,
                "lng": 0
            },
            "viewer": {
                "canEdit": false
            },
            "canEdit": false,
            "dateWindow": {
                "eventTimeID": 0,
                "eventID": 0,
                "startHour": 0,
                "endHour": 0,
                "locationCategoryID": 0,
                "importanceLevel": 0,
                "daysUntil": 0,
                "repeatOnWeekday": "Monday",
                "startTime": "synthetic-example",
                "endTime": "synthetic-example",
                "startDate": "synthetic-example",
                "endDate": "synthetic-example",
                "hasIndividualStartTime": false,
                "isUpcoming": false,
                "isPast": false,
                "dateLabel": "synthetic-example",
                "timeLabel": "synthetic-example",
                "displayLabel": "synthetic-example"
            },
            "nearestOccurrence": {
                "eventTimeID": 0,
                "eventID": 0,
                "startHour": 0,
                "endHour": 0,
                "locationCategoryID": 0,
                "importanceLevel": 0,
                "daysUntil": 0,
                "repeatOnWeekday": "Monday",
                "startTime": "synthetic-example",
                "endTime": "synthetic-example",
                "startDate": "synthetic-example",
                "endDate": "synthetic-example",
                "hasIndividualStartTime": false,
                "isUpcoming": false,
                "isPast": false,
                "dateLabel": "synthetic-example",
                "timeLabel": "synthetic-example",
                "displayLabel": "synthetic-example"
            },
            "matchReason": "radius",
            "distanceMeters": 0
        },
        "eventID": 0,
        "created": false
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/events/set_event

#
Edit an existing event. Empty / -1 sentinel values mean "leave unchanged." Requires the caller to be the event originator or hold GlobalCommunityAdministration. Use "__clear__" for optional string/list fields that should be cleared.

パラメーター

名前型必須既定値説明
eventSlug string はい — URLSlug of the event to edit.
name string いいえ "" New event name (empty = no change).
description string いいえ "" New description (empty = no change, "__clear__" = clear).
iconEmoji string いいえ "" New emoji glyph (empty = no change, "__clear__" = clear).
effectRadiusInMeters int いいえ -1 New demand-effect radius in meters (-1 = no change, 0 = clear).
primaryCategorySlug string いいえ "" New primary category slug (empty = no change).
newURLSlug string いいえ "" New URLSlug (empty = no change). Must be unique.
externalURL string いいえ "" New external URL (empty = no change, "__clear__" = clear).
locationMode string いいえ "keep" One of keep|venue|point|clear.
eventLocationID int いいえ 0 ATLocation.ID used when locationMode=venue.
eventLat string いいえ "" Latitude used when locationMode=point.
eventLng string いいえ "" Longitude used when locationMode=point.
defaultImportanceLevel int いいえ -1 Default demand importance (-1 = no change).
affectsOpeningTimes int いいえ -1 1/0 to set whether the event affects opening times (-1 = no change).
countryCodeIncludeList string いいえ "" JSON or comma list of ISO country codes, "__clear__" to clear.
countryCodeExcludeList string いいえ "" JSON or comma list of ISO country codes, "__clear__" to clear.
isWritingRequest bool いいえ false Required true to actually write.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/events/set_event' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'eventSlug={{eventSlug}}' \
  --data-urlencode 'name={{name}}' \
  --data-urlencode 'description={{description}}' \
  --data-urlencode 'iconEmoji={{iconEmoji}}' \
  --data-urlencode 'effectRadiusInMeters={{effectRadiusInMeters}}' \
  --data-urlencode 'primaryCategorySlug={{primaryCategorySlug}}' \
  --data-urlencode 'newURLSlug={{newURLSlug}}' \
  --data-urlencode 'externalURL={{externalURL}}' \
  --data-urlencode 'locationMode={{locationMode}}' \
  --data-urlencode 'eventLocationID={{eventLocationID}}' \
  --data-urlencode 'eventLat={{eventLat}}' \
  --data-urlencode 'eventLng={{eventLng}}' \
  --data-urlencode 'defaultImportanceLevel={{defaultImportanceLevel}}' \
  --data-urlencode 'affectsOpeningTimes={{affectsOpeningTimes}}' \
  --data-urlencode 'countryCodeIncludeList={{countryCodeIncludeList}}' \
  --data-urlencode 'countryCodeExcludeList={{countryCodeExcludeList}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$events_set_event_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.eventobject はい
$.oneOf[0].allOf[1].Payload.event.eventIDinteger はい
$.oneOf[0].allOf[1].Payload.event.namestring はい
$.oneOf[0].allOf[1].Payload.event.urlSlugstring はい
$.oneOf[0].allOf[1].Payload.event.iconEmojistring はい
$.oneOf[0].allOf[1].Payload.event.externalURLstring はい
$.oneOf[0].allOf[1].Payload.event.geographicobject はい
$.oneOf[0].allOf[1].Payload.event.geographic.lat はい
$.oneOf[0].allOf[1].Payload.event.geographic.lat.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.event.geographic.lat.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.geographic.lng はい
$.oneOf[0].allOf[1].Payload.event.geographic.lng.anyOf[0]number はい
$.oneOf[0].allOf[1].Payload.event.geographic.lng.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.geographic.effectRadiusInMeters はい
$.oneOf[0].allOf[1].Payload.event.geographic.effectRadiusInMeters.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.geographic.effectRadiusInMeters.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.geographic.eventATLocationID はい
$.oneOf[0].allOf[1].Payload.event.geographic.eventATLocationID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.geographic.eventATLocationID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.ownerPostID はい
$.oneOf[0].allOf[1].Payload.event.ownerPostID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.event.ownerPostID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.ownerPostName はい
$.oneOf[0].allOf[1].Payload.event.ownerPostName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.event.ownerPostName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.ownerPostURL はい
$.oneOf[0].allOf[1].Payload.event.ownerPostURL.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.event.ownerPostURL.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.event.originatorUserID はい
[...]
